Subject: bug#50816: 28.0.50; [eglot] Nonstandard SymbolKind values for imenu

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Sep 2022 12:52:51 +0200

Augusto Stoffel <[email-masked]> writes:

> The main constituents of a TeX document outline are chapters, sections
> and environments.  However, the `kind' attribute of a DocumentSymbol is
> not just some name, as one would reasonably expect.  Instead, it's a
> number, which the LSP client then looks up in a hardcoded table [🤦].
> So in theory one is constrained to the SymbolKinds mentioned in the
> spec, none of which is remotely suitable for TeX.
>
> Is there some Eglot-friendly way to get around this silly limitation?

This was almost a year ago, so I'm not sure whether it's still relevant,
but in case it is -- João, do you have any comments here?